Validate Scan Configuration
POST
/api/v1/configuration/{orgId}/validate Validates a HawkScan Configuration for potential problems.
Requires
read:scan_configpermission.
Path parameters
orgIdstring · uuidrequiredUUID identifier for this StackHawk Organization.
Body
conf
stringThe HawkScan YAML configuration to save for this organization.
configType
enum<string>Whether the app is tied to a single application or shared by an organization.
3 available options
ORGAPPTARGETname
stringThe name of this saved scan configuration. The name should match the conf appId if the configuration is saved for an organization's application.
Response
- a response of validation problems (markers) for an asset, that work with code editor linters
application/json
markers
configuration.Marker[]the list of schema validation markers
Bad Request
Unauthorized